aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Debian sarge amuleweb  (Read 3851 times)

tk421

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 3
    • http://www.softwareparalinux.com
Debian sarge amuleweb
« on: October 30, 2005, 02:23:15 PM »

Hi to everyone,

Yesterday I have updated amuleweb and amuled in a server and now amuleweb its not working.

At the beggining, when trying to run amuleweb, i saw and error that says that "template cannot be loaded" or something like that. So I started to mess with repositories and men, I uninstall it to install it again and ... i cant!!!

Whitch one are the good respositorios for Debian Sarge?? I put the stables one in sources.list, deb http://amule-debian.dyndns.org/ debian/

But when trying to install amuleweb (cheking instructions from http://www.amule.org/wiki/index.php/HowTo_Compile_In_Debian#aMule_stable_release)

Code: [Select]
servidor:~# apt-get install amuleweb
The following packages have unmet dependencies:
  amule-console-utils: Depends: amule-common (= 2.0.3-4) but 2.0.3+CVS20051029-1 is to be installed
E: Broken packages
« Last Edit: October 31, 2005, 03:08:52 PM by tk421 »
Logged
http//www.programasweb.com
http://www.softwareparalinux.com

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian sarge amuleweb
« Reply #1 on: October 30, 2005, 10:28:35 PM »

First: You have Vollstreckers repository in your sources.list. Kick it out. It doesn't work on Sarge. amuleweb is in the package amule-console-utils (as said on the wiki page you linked ;) ) and it seems to already be installed. Chances are that you have some mix installed between 2.0.3 packages and CVS.
Paste the output of 'dpkg -l|grep amule' as root here, please.
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.

Vollstrecker

  • Administrator
  • Hero Member
  • *****
  • Karma: 66
  • Offline Offline
  • Posts: 1532
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: Debian sarge amuleweb
« Reply #2 on: October 31, 2005, 12:28:33 PM »

I don't think it is a mixed install. It's just a naming conflict, we both have a pkg called amule-common, and he has our both rep's in the sources.list, so the one with the higher version (mine) is going to be installed, and your pkg wants only your amule-common.
He has just to remove my rep from his sources.list and it should work.
Logged
Homefucking is killing prostitution

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian sarge amuleweb
« Reply #3 on: October 31, 2005, 02:30:24 PM »

I checked the wiki yesterday evening and found out why there seem to be problems like that lately: Somebody deleted the version recommendations for our repositories (there were recommendations that your repo only works with testing & unstable and mine works only with sarge, right?). I readded them and will watch that more carefully from now on :)
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.

tk421

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 3
    • http://www.softwareparalinux.com
Re: Debian sarge amuleweb
« Reply #4 on: November 01, 2005, 10:30:30 PM »

Repositories ...

Code: [Select]
deb [URL]http://amule-debian.dyndns.org/[/URL] debian/
deb [URL]http://www.vollstreckernet.de/debian/[/URL] testing amule

Code: [Select]
servidor:~# dpkg -l|grep amule
ii  amule-common   2.0.3+CVS20051 common files for amule
ii  amuled         2.0.3+CVS20050 the amule daemon

I have tried something, I have uninstalled it, and now ...

Code: [Select]
servidor:~# apt-get install amuled
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  amuled: Depends: libc6 (>= 2.3.5-1) but 2.3.2.ds1-22 is to be installed
          Depends: libgcc1 (>= 1:4.0.1) but 1:4.0.0-9 is to be installed
          Depends: libstdc++6 (>= 4.0.2) but it is not going to be installed
          Depends: libwxgtk2.6-0 (>= 2.6.1.2) but it is not installable
E: Broken packages

mmm ...
Logged
http//www.programasweb.com
http://www.softwareparalinux.com

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian sarge amuleweb
« Reply #5 on: November 01, 2005, 11:44:34 PM »

Quote
deb http://www.vollstreckernet.de/debian/ testing amule
Delete that line. That repository is for testing, you're running stable.
Do an apt-get update.

Then uninstall amuled and amule-common (they're from the vollstrecker repository) and install whatever you want to install (as a note: the amuled package is called amule-daemon).
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.

tk421

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 3
    • http://www.softwareparalinux.com
Re: Debian sarge amuleweb
« Reply #6 on: November 02, 2005, 07:27:41 PM »

:) all is working fine again!

Thanks a lot!!
« Last Edit: November 02, 2005, 07:36:08 PM by tk421 »
Logged
http//www.programasweb.com
http://www.softwareparalinux.com

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian sarge amuleweb
« Reply #7 on: November 02, 2005, 08:25:52 PM »

You're welcome :)
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.